//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules
#include "PSoCDynamic.h"

//
// P1.5	: RtBO[VؑփXCb`
//	: ON('0'):A3 OFF('1'):A9
//
#define	MODE_SWPORT	PRT1DR
#define	MODE_SWBIT	0x20

void setup_A9mode()
{
	LoadConfig_A9TX();
	Counter8_1_Start();
	PGA_1_Start(PGA_1_HIGHPOWER);
	PGA_2_Start(PGA_2_HIGHPOWER);
	RefMux_1_Start(RefMux_1_HIGHPOWER);
	SCBLOCK_1_Start(SCBLOCK_1_HIGHPOWER);
	ACB02CR1 |= 0x40;
	AMD_CR0 = 0x60;
}

void setup_A3mode()
{
	LoadConfig_A3TX();
	Counter8_2_Start();
	PGA_3_Start(PGA_3_HIGHPOWER);
	PGA_4_Start(PGA_4_HIGHPOWER);
	RefMux_2_Start(RefMux_2_HIGHPOWER);

}

void main()
{
	UnloadConfig_A9TX();
	MODE_SWPORT |= MODE_SWBIT;
	while(1) {
		if (MODE_SWPORT & MODE_SWBIT) {
			setup_A9mode();
			while((MODE_SWPORT & MODE_SWBIT))
				;
			UnloadConfig_A9TX();
		} else {
			setup_A3mode();
			while(!(MODE_SWPORT & MODE_SWBIT))
				;
			UnloadConfig_A3TX();
		}
	}
    // Insert your main routine code here.
}
