	.module main.c
	.area text(rom, con, rel)
	.dbfile ./main.c
	.dbfunc e setup_A9mode _setup_A9mode fV
_setup_A9mode::
	.dbline -1
	.dbline 17
; //----------------------------------------------------------------------------
; // C main line
; //----------------------------------------------------------------------------
; 
; #include <m8c.h>        // part specific constants and macros
; #include "PSoCAPI.h"    // PSoC API definitions for all User Modules
; #include "PSoCDynamic.h"
; 
; //
; // P1.5	: RtBO[VؑփXCb`
; //	: ON('0'):A3 OFF('1'):A9
; //
; #define	MODE_SWPORT	PRT1DR
; #define	MODE_SWBIT	0x20
; 
; void setup_A9mode()
; {
	.dbline 18
; 	LoadConfig_A9TX();
	xcall _LoadConfig_A9TX
	.dbline 19
; 	Counter8_1_Start();
	push X
	xcall _Counter8_1_Start
	.dbline 20
; 	PGA_1_Start(PGA_1_HIGHPOWER);
	mov A,3
	xcall _PGA_1_Start
	.dbline 21
; 	PGA_2_Start(PGA_2_HIGHPOWER);
	mov A,3
	xcall _PGA_2_Start
	.dbline 22
; 	RefMux_1_Start(RefMux_1_HIGHPOWER);
	mov A,3
	xcall _RefMux_1_Start
	.dbline 23
; 	SCBLOCK_1_Start(SCBLOCK_1_HIGHPOWER);
	mov A,3
	xcall _SCBLOCK_1_Start
	pop X
	.dbline 24
; 	ACB02CR1 |= 0x40;
	or REG[0x7a],64
	.dbline 25
; 	AMD_CR0 = 0x60;
	or F,0x10  ; iopage = 1
	mov REG[0x63],96
	and F,0xEF ; iopage = 0
	.dbline -2
	.dbline 26
; }
L1:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e setup_A3mode _setup_A3mode fV
_setup_A3mode::
	.dbline -1
	.dbline 29
; 
; void setup_A3mode()
; {
	.dbline 30
; 	LoadConfig_A3TX();
	xcall _LoadConfig_A3TX
	.dbline 31
; 	Counter8_2_Start();
	push X
	xcall _Counter8_2_Start
	.dbline 32
; 	PGA_3_Start(PGA_3_HIGHPOWER);
	mov A,3
	xcall _PGA_3_Start
	.dbline 33
; 	PGA_4_Start(PGA_4_HIGHPOWER);
	mov A,3
	xcall _PGA_4_Start
	.dbline 34
; 	RefMux_2_Start(RefMux_2_HIGHPOWER);
	mov A,3
	xcall _RefMux_2_Start
	pop X
	.dbline -2
	.dbline 36
; 
; }
L2:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e main _main fV
_main::
	.dbline -1
	.dbline 39
; 
; void main()
; {
	.dbline 40
; 	UnloadConfig_A9TX();
	xcall _UnloadConfig_A9TX
	.dbline 41
; 	MODE_SWPORT |= MODE_SWBIT;
	or REG[0x4],32
	xjmp L5
L4:
	.dbline 42
; 	while(1) {
	.dbline 43
; 		if (MODE_SWPORT & MODE_SWBIT) {
	tst REG[0x4],32
	jz L7
	.dbline 43
	.dbline 44
; 			setup_A9mode();
	xcall _setup_A9mode
L9:
	.dbline 46
L10:
	.dbline 45
; 			while((MODE_SWPORT & MODE_SWBIT))
	tst REG[0x4],32
	jnz L9
	.dbline 47
; 				;
; 			UnloadConfig_A9TX();
	xcall _UnloadConfig_A9TX
	.dbline 48
	xjmp L8
L7:
	.dbline 48
; 		} else {
	.dbline 49
; 			setup_A3mode();
	xcall _setup_A3mode
L12:
	.dbline 51
L13:
	.dbline 50
; 			while(!(MODE_SWPORT & MODE_SWBIT))
	tst REG[0x4],32
	jz L12
	.dbline 52
; 				;
; 			UnloadConfig_A3TX();
	xcall _UnloadConfig_A3TX
	.dbline 53
; 		}
L8:
	.dbline 54
L5:
	.dbline 42
	xjmp L4
X0:
	.dbline -2
	.dbline 56
; 	}
;     // Insert your main routine code here.
; }
L3:
	.dbline 0 ; func end
	jmp .
	.dbend
